/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for VenousSourceLocations
 */
public enum EnumCV_VenousSourceLocations 
{
	//Venous Source Locations - CID 3607
		ANOMALOUS_PULMONARY_VEIN_T_48503("T-48503"),
		ANTECUBITAL_VEIN_T_49215("T-49215"),
		AXILLARY_VEIN_T_49110("T-49110"),
		AZYGOS_VEIN_T_48340("T-48340"),
		BASILIC_VEIN_T_48052("T-48052"),
		BOYD_PERFORATING_VEIN_T_49424("T-49424"),
		BRACHIAL_VEIN_T_49350("T-49350"),
		CENTRAL_VENOUS_SYSTEM_T_48003("T-48003"),
		CEPHALIC_VEIN_T_49240("T-49240"),
		DODD_PERFORATING_VEIN_T_49429("T-49429"),
		FEMORAL_VEIN_T_49410("T-49410"),
		GASTRIC_VEIN_T_48820("T-48820"),
		HEPATIC_VEIN_T_48720("T-48720"),
		HUNTERIAN_PERFORATING_VEIN_T_4942A("T-4942A"),
		INFERIOR_VENA_CAVA_T_48710("T-48710"),
		INNOMINATE_VEIN_T_48620("T-48620"),
		INTERNAL_JUGULAR_VEIN_T_48170("T-48170"),
		MESENTERIC_VEIN_T_4884A("T-4884A"),
		PORTAL_VEIN_T_48810("T-48810"),
		POSTERIOR_MEDIAL_TRIBUTARY_T_49535("T-49535"),
		PULMONARY_VEIN_T_48581("T-48581"),
		PULMONARY_VEIN_CONFLUENCE_D4_33512("D4-33512"),
		RENAL_VEIN_T_48740("T-48740"),
		SAPHENOFEMORAL_JUNCTION_T_D930A("T-D930A"),
		SAPHENOUS_VEIN_T_49530("T-49530"),
		SPLENIC_VEIN_T_48890("T-48890"),
		SUBCLAVIAN_VEIN_T_48330("T-48330"),
		SUPERIOR_VENA_CAVA_T_48610("T-48610"),
		UMBILICAL_VEIN_T_48817("T-48817"),
		VEIN_T_48000("T-48000"),
		VENA_ANONYMA_R_003AA("R-003AA");

	private String value;
	
	EnumCV_VenousSourceLocations(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
